clear all
close all
a=-pi/3;b=pi/4;nq=100;
u=@(x) cos(x);
d2u=@(x) -cos(x); % derivee seconde de u
nu=2;
f=@(x) -d2u(x)+nu*u(x);
ga=u(a);gb=u(b);
x=ep00.mesh1D(a,b,nq)'; % x vecteur colonne

M=ep00.Masse(x);K=ep00.Rigidite(x);

% Construction/assemblage de la matrice du systeme lineaire (11) dans le "cours"
A=nu*M+K;
A(1,:)=0;A(nq,:)=0; % mise à 0 des lignes Dirichlet
A(1,1)=1;A(nq,nq)=1; % mise à 1 sur diagonale pour les lignes Dirichlet

% Construction/assemblage du second membre du systeme lineaire (11) dans le "cours"
c=M*f(x);
c(1)=ga;c(nq)=gb;

% Resolution du système (11)
U=A\c;

figure(1)
plot(x,U,'b','Linewidth',2)
hold on
plot(x,u(x),'r','Linewidth',2)
legend('sol. num.','sol. ex.')

figure(2) % représentation de l'erreur
plot(x,abs(U-u(x)),'Linewidth',2)
title('error')
