clear all
close all

a=-pi/3;b=pi/4*pi;
u=@(x) cos(x); v=@(x) sin(x);
f=@(x) u(x).*v(x);
pf=@(x) -1/2*cos(x).^2; % primitive de u
Iex=pf(b)-pf(a); % integrale exacte de f

LineWidth=2;
fontsize=18;

LN=100:100:1000;
i=1;
for nq=LN
  x=ep00.mesh1D(a,b,nq)'; % x vecteur colonne
  M=ep00.Masse(x);U=u(x);V=v(x);
  I=dot(M*U,V);
  h=x(2:nq)-x(1:(nq-1));
  H(i)=max(h);
  E(i)=abs(I-Iex);
  i=i+1;
end

opts={'interpreter','latex','fontsize',fontsize};
loglog(H,E,'r','LineWidth',LineWidth)
hold on
loglog(H,1e-3*H,'ko-','LineWidth',LineWidth)
loglog(H,1e-2*H.^2,'kd-','LineWidth',LineWidth)
set(gca(),'fontsize',fontsize)
legend('$Error(h)$','$O(h^2)$','$O(h)$','Location','NorthWest',opts{:})
xlabel('$h$',opts{:})
title('Validation matrice de Masse par ordre',opts{:})


