function [x,U,varargout]=solveBVP01v1(a,b,f,nu,ga,gb,nq)
  x=ep00.mesh1D(a,b,nq,0)'; % x vecteur colonne

  M=ep00.Masse(x);K=ep00.Rigidite(x);

  % Construction/assemblage de la matrice du systeme lineaire (11) dans le "cours"
  A=nu*M+K;
  A(1,:)=0;A(nq,:)=0; % mise à 0 des lignes Dirichlet
  A(1,1)=1;A(nq,nq)=1; % mise à 1 sur diagonale pour les lignes Dirichlet

  % Construction/assemblage du second membre du systeme lineaire (11) dans le "cours"
  c=M*f(x);
  c(1)=ga;c(nq)=gb;

  % Resolution du système (11)
  U=A\c;
  if nargout==3,
    info.M=M;info.K=K;
    varargout{1}=info;
  end
end
