function [x,U,varargout]=solveBVP01v2(a,b,f,nu,ga,gb,nq)
  % Resolution avec relevement (prolonge a 0)
  x=ep00.mesh1D(a,b,nq,0)'; % x vecteur colonne

  M=ep00.Masse(x);K=ep00.Rigidite(x);

  % Construction/assemblage de la matrice du systeme lineaire (11) dans le "cours"
  A=nu*M+K;
  R=zeros(nq,1);R(1)=ga;R(nq)=gb;
  
  % Construction/assemblage du second membre du systeme lineaire (11) dans le "cours"
  b=M*f(x);
  
  % Resolution du système (12)
  I=2:nq-1;
  W=A(I,I)\(b(I)-A(I,:)*R);
  U=[ga;W;gb];
  if nargout==3, % on retourne les matrices de Masse et Rigidite dans une structure 
    info.M=M;info.K=K;
    varargout{1}=info;
  end
end
