function toG=get_toGlobal(Th,varargin)
  assert(fc_simesh.is_siMesh(Th))
  p = inputParser;
  p.addParamValue('labels', [] );
  p.addParamValue('d', Th.d ); % kind of elementary mesh ( d-simplicial)
  p.parse(varargin{:});
  d=p.Results.d;assert( ismember(d,1:Th.d) ) 
  if isempty(p.Results.labels)
    [idx,labels]=Th.find(d);
  else
    labs=p.Results.labels;
    [idx,labels]=Th.find(d,labs);
    if length(labels)<length(labs)
      LD=setdiff(labs,labels);
      error('siMesh.eval: %d-simplex labels not found %s',d,num2str(LD))
    end
  end
  
  toG=[];
  for lab=labels
    idx=Th.find(d,lab);
    toG=[toG,Th.sTh{idx}.toGlobal];
  end
  toG=unique(toG);
end
