SetFactory("OpenCASCADE");

DefineConstant[
N = {20, Name "Parameters/Refinement Number"},
LB = {1., Name "Parameters/LB"},
LS = {0.2, Name "Parameters/LS"}
];

N=(N>=1 ? N : 1);
Mesh.Algorithm = 6;
Mesh.CharacteristicLengthMin = LS/N;
Mesh.CharacteristicLengthMax = LS/N;

Rectangle(1) = {-LB/2, -LB/2, 0, LB, LB, 0};
Rectangle(2) = {-LS/2, -LS/2, 0, LS, LS, 0};

BooleanDifference{ Surface{1}; Delete; }{ Surface{2}; Delete;}
