DefineConstant[
  N = {10, Name "Input/1N "},
  A = {7, Name "Input/2A "},
  L = {4, Name "Input/3L "},
  a = {2, Name "Input/4a "},
  b = {0.5, Name "Input/5b "}
];
SetFactory("OpenCASCADE");
Mesh.CharacteristicLengthMin = b/(N);
Mesh.CharacteristicLengthMax = b/(N);

Rectangle(1) = {-A/2, -A/2, 0, A, A, 0};
Rectangle(2) = {-a/2, -a/2, 0, a, a, 0};
Rectangle(3) = {  L/2-b/2, -b/2   , 0, b, b, 0};
Rectangle(4) = {  L/2-b/2, L/2-b/2, 0, b, b, 0};
Rectangle(5) = { -b/2    , L/2-b/2, 0, b, b, 0};
Rectangle(6) = { -L/2-b/2, L/2-b/2, 0, b, b, 0};
Rectangle(7) = { -L/2-b/2,    -b/2, 0, b, b, 0};
Rectangle(8) = { -L/2-b/2,-L/2-b/2, 0, b, b, 0};
Rectangle(9) = {     -b/2,-L/2-b/2, 0, b, b, 0};
Rectangle(10) = { L/2-b/2,-L/2-b/2, 0, b, b, 0};

BooleanDifference(20) = { Surface{1}; Delete; }{Surface{2}; Surface{3}; Surface{5};Surface{7};Surface{9}; };
BooleanDifference(30) = { Surface{20}; Delete; }{ Surface{4}; Surface{6}; Surface{8}; Surface{10}; Delete; };

// setting physical lab
Geometry.OCCBoundsUseStl = 1; // see https://gitlab.onelab.info/gmsh/gmsh/-/issues/1519
eps=1e-8;

// 1- Physical Surfaces
AllSurfaces = { Surface{:} };
S() = Surface In BoundingBox{-a/2-eps, -a/2-eps, 0, a/2+eps, a/2+eps, 0};
Physical Surface(20) = S();AllS() = S();
S() = Surface In BoundingBox{-b/2-eps, L/2-b/2-eps, 0, b/2+eps, L/2+b/2+eps, 0};
Physical Surface(2) = S();AllS() += S();
S() = Surface In BoundingBox{-L/2-b/2-eps, -b/2-eps, 0, -L/2+b/2+eps, b/2+eps, 0};
Physical Surface(4) = S();AllS() += S();
S() = Surface In BoundingBox{-b/2-eps, -L/2-b/2-eps, 0, b/2+eps, -L/2+b/2+eps, 0};
Physical Surface(6) = S();AllS() += S();
S() = Surface In BoundingBox{L/2-b/2-eps, -b/2-eps, 0, L/2+b/2+eps, b/2+eps, 0};
Physical Surface(8) = S();AllS() += S();
AllSurfaces -= AllS();
Physical Surface(10) = AllSurfaces();

// 2- Physical Curves
AllCurves() = { Curve{:} };
C() = Curve In BoundingBox{L/2-b/2-eps, L/2-b/2-eps, 0, L/2+b/2+eps, L/2+b/2+eps, 0};
Physical Curve(1) = C();AllC() = C();
C() = Curve In BoundingBox{-b/2-eps, L/2-b/2-eps, 0, b/2+eps, L/2+b/2+eps, 0};
Physical Curve(2) = C();AllC() += C();
C() = Curve In BoundingBox{-L/2-b/2-eps, L/2-b/2-eps, 0, -L/2+b/2+eps, L/2+b/2+eps, 0};
Physical Curve(3) = C();AllC() += C();
C() = Curve In BoundingBox{-L/2-b/2-eps, -b/2-eps, 0, +b/2+eps, L/2+b/2+eps, 0};
Physical Curve(4) = C();AllC() += C();
C() = Curve In BoundingBox{-L/2-b/2-eps, -L/2-b/2-eps, 0, -L/2+b/2+eps, -L/2+b/2+eps, 0};
Physical Curve(5) = C();AllC() += C();
C() = Curve In BoundingBox{-b/2-eps, -L/2-b/2-eps, 0, +b/2+eps, -L/2+b/2+eps, 0};
Physical Curve(6) = C();AllC() += C();
C() = Curve In BoundingBox{L/2-b/2-eps, -L/2-b/2-eps, 0, L/2+b/2+eps, -L/2+b/2+eps, 0};
Physical Curve(7) = C();AllC() += C();
C() = Curve In BoundingBox{L/2-b/2-eps,-b/2-eps, 0, L/2+b/2+eps, +b/2+eps, 0};
Physical Curve(8) = C();AllC() += C();
C() = Curve In BoundingBox{-a/2-eps,-a/2-eps, 0, a/2+eps, +a/2+eps, 0};
Physical Curve(20) = C();AllC() += C();
AllCurves() -= AllC();
Physical Curve(10) = AllCurves();
